﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub 19x ScopeMeter (1 yr) Scope RS-232 VER /5418
DATE:                  2017-04-20 12:03:13
AUTHOR:                Fluke
REVISION:              $Revision: 22075 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       10
NUMBER OF LINES:       224
STANDARD:              Fluke PM5418
=============================================================================
#
#  Procedure Author(s):
#        DT, DFM
#
#  Models covered:
#        Fluke 192(), Fluke 196(), Fluke 199() ScopeMeter®
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke ScopeMeter Send Command RS-232
#        Sub Fluke ScopeMeter Check Acknowledge RS-232
#
# Required Files:
#        19x_a_input_5418_tv.jpg
#        19x_a_input_5418_tv_inv.jpg
#        19x_tv_pal_622_neg_trig.jpg
#        19x_tv_pal_310_neg_trig.jpg
#        19x_tv_pal_310_pos_trig.jpg
#        19x_tv_ntsc_525_neg_trig.jpg
#        19x_tv_ntsc_262_neg_trig.jpg
#        19x_tv_ntsc_262_pos_trig.jpg
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  STD          Fluke PM5418

  1.002  RSLT         =
  1.003  HEAD         {VIDEO TEST}
  1.004  OPBR         -z Is a Video Pattern Generator available to perform
  1.004  OPBR         the UUT video triggering tests?

  1.005  IF           NOT(MEM1)
  1.006  RSLT         = Not Tested

  1.007  ELSE

  1.008  MATH         MEM2 = "DS"
  1.009  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.010  DISP         It is only necessary to test one video format, e.g.,
  1.010  DISP         NTSC, PAL, or SECAM, to verify proper instrument
  1.010  DISP         operation.
  1.010  DISP
  1.010  DISP         Note that the NTSC video format is most commonly used
  1.010  DISP         in the U.S.

# A: 2V/div, Manual, Video on A, +NTSC, line 525,
# Trigger Pos 1 div, 20 µs/div
  1.011  MATH         MEM2 = "PS"
  1.012  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.013  PORT         #0[32][10][0][2][128][0][128]
  1.014  PORT         [32][11][0][1][3][3]
  1.015  PORT         [32][13][0][2][0][0][0]
  1.016  PORT         [32][14][0][5][0][0][0][16][255][15]
  1.017  PORT         [32][35][0][2][128][3][131]
  1.018  PORT         [32][100][0][1][1][1]
  1.019  PORT         [32][103][0][2][2][10][12]
  1.020  PORT         [32][105][0][2][0][0][0]
  1.021  PORT         [32][106][0][7][1][128][1][2][13][2][0][147]
  1.022  PORT         [32][107][0][8][192][2][0][0][0][0][8][251][197]
  1.023  PORT         [32][109][0][1][128][128]
  1.024  PORT         [32][111][0][5][0][0][0][2][252][254]
  1.025  PORT         [32][113][0][5][255][255][255][254][251][246]
  1.026  PORT         [32][115][0][1][0][0]
  1.027  PORT         [160][140][0][3][2][45][9][56][13]
  1.028  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Initialize completion variable to false.
  1.029  MATH         Done = 0

  1.030  MATH         @Id = LBNEW("Video Mode Selection - Exit When Done")
  1.031  MATH         LBTEXT(@Id, "Select video test mode or Exit.")
  1.032  MATH         LBCONF(@Id, "-Sel")
  1.033  MATH         LBADDV(@Id, "PAL",   "PAL")
  1.034  MATH         LBADDV(@Id, "NTSC",  "NTSC")
  1.035  MATH         LBADDV(@Id, "SECAM", "SECAM")
  1.036  MATH         LBBUTTON(@Id, "OK")
  1.037  MATH         LBBUTTON(@Id, "Exit")
# Exit button is "2" because it is the second button added to the list box.
  1.038  MATH         @Exit = 2

  1.039  DO
  1.040  MATH         Op = LBSHOW(@Id)

  1.041  IF           Op != @Exit

  1.042  IF           SECAM
  1.043  RSLT         =
  1.044  HEAD         -2 {SECAM Line 622}, Negative Polarity
  1.045  TARGET
  1.046  PIC          19x_a_input_5418_tv.jpg
  1.047  MATH         MEM2 = "PS"
  1.048  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.049  PORT         #0[160][106][0][7][1][128][1][2][110][3][0][245][13]
  1.050  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.051  DISP         Set the Video Pattern Generator controls as follows:
  1.051  DISP
  1.051  DISP         - Select SECAM video mode
  1.051  DISP         - Set PATTERN/KEYBOARD to GREY SCALE
  1.051  DISP         - Adjust VIDEO AMPL (sync pulse) for > 0.7 div on UUT
  1.051  DISP         - Set CHROMA AMPL to 0
  1.052  PIC          19x_tv_pal_622_neg_trig.jpg
  1.053  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  2.001  HEAD         -2 {SECAM Line 310}, Negative Polarity
  2.002  TARGET
  2.003  MATH         MEM2 = "PS"
  2.004  CALL         Sub Fluke ScopeMeter Send Command RS-232
  2.005  PORT         #0[160][106][0][7][1][128][1][1][54][3][0][188][13]
  2.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.007  PIC          19x_tv_pal_310_neg_trig.jpg
  2.008  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  3.001  HEAD         -2 SECAM Line 310, Positive Polarity
  3.002  TARGET
  3.003  PIC          19x_a_input_5418_tv_inv.jpg
  3.004  MATH         MEM2 = "PS"
  3.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  3.006  PORT         #0[160][106][0][7][1][0][1][1][54][3][0][60][13]
  3.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.008  PIC          19x_tv_pal_310_pos_trig.jpg
  3.009  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?
# Set completion variable true upon completion.
  4.001  MATH         Done = 1
  4.002  ELSEIF       PAL
  4.003  RSLT         =
  4.004  HEAD         -2 {PAL Line 622}, Negative Polarity
  4.005  TARGET
  4.006  PIC          19x_a_input_5418_tv.jpg
  4.007  MATH         MEM2 = "PS"
  4.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
  4.009  PORT         #0[160][106][0][7][1][128][1][2][110][0][0][242][13]
  4.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.011  DISP         Set the Video Pattern Generator controls as follows:
  4.011  DISP
  4.011  DISP         - Select PAL video mode
  4.011  DISP         - Set PATTERN/KEYBOARD to GREY SCALE
  4.011  DISP         - Adjust VIDEO AMPL (sync pulse) for > 0.7 div on UUT
  4.011  DISP         - Set CHROMA AMPL to 0
  4.012  PIC          19x_tv_pal_622_neg_trig.jpg
  4.013  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  5.001  HEAD         -2 {PAL Line 310}, Negative Polarity
  5.002  TARGET
  5.003  MATH         MEM2 = "PS"
  5.004  CALL         Sub Fluke ScopeMeter Send Command RS-232
  5.005  PORT         #0[160][106][0][7][1][128][1][1][54][0][0][185][13]
  5.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  5.007  PIC          19x_tv_pal_310_neg_trig.jpg
  5.008  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  6.001  HEAD         -2 PAL Line 310, Positive Polarity
  6.002  TARGET
  6.003  PIC          19x_a_input_5418_tv_inv.jpg
  6.004  MATH         MEM2 = "PS"
  6.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  6.006  PORT         #0[160][106][0][7][1][0][1][1][54][0][0][57][13]
  6.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.008  PIC          19x_tv_pal_310_pos_trig.jpg
  6.009  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?
  7.001  MATH         Done = 1
  7.002  ELSEIF       NTSC
  7.003  RSLT         =
  7.004  HEAD         -2 {NTSC Line 525}, Negative Polarity
  7.005  TARGET
  7.006  PIC          19x_a_input_5418_tv.jpg
  7.007  MATH         MEM2 = "PS"
  7.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
  7.009  PORT         #0[160][106][0][7][1][128][1][2][13][2][0][147][13]
  7.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  7.011  DISP         Set the Video Pattern Generator controls as follows:
  7.011  DISP
  7.011  DISP         - Select NTSC video mode
  7.011  DISP         - Set PATTERN/KEYBOARD to GREY SCALE
  7.011  DISP         - Adjust VIDEO AMPL (sync pulse) for > 0.7 div on UUT
  7.011  DISP         - Set CHROMA AMPL to 0
  7.012  PIC          19x_tv_ntsc_525_neg_trig.jpg
  7.013  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  8.001  HEAD         -2 {NTSC Line 262}, Negative Polarity
  8.002  TARGET
  8.003  MATH         MEM2 = "PS"
  8.004  CALL         Sub Fluke ScopeMeter Send Command RS-232
  8.005  PORT         #0[160][106][0][7][1][128][1][1][6][2][0][139][13]
  8.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  8.007  PIC          19x_tv_ntsc_262_neg_trig.jpg
  8.008  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  9.001  HEAD         -2 NTSC Line 262, Positive Polarity
  9.002  TARGET
  9.003  PIC          19x_a_input_5418_tv_inv.jpg
  9.004  MATH         MEM2 = "PS"
  9.005  CALL         Sub Fluke ScopeMeter Send Command RS-232
  9.006  PORT         #0[160][106][0][7][1][0][1][1][6][2][0][11][13]
  9.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  9.008  PIC          19x_tv_ntsc_262_pos_trig.jpg
  9.009  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?
 10.001  ENDIF

 10.002  ENDIF        ; Op != @Exit

 10.003  UNTIL        (Op == @Exit)

 10.004  IF           NOT(Done)
 10.005  RSLT         = Not Tested
 10.006  ENDIF

 10.007  ENDIF

 10.008  HEAD         -2
 10.009  END
